DivCRev
Arithmetic Operations

Divides a constant by each sample of a signal. More...

## Functions

NppStatus | nppsDivCRev_16u_I_Ctx (Npp16u nValue, Npp16u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short in place constant divided by signal, then clamp to saturated value. More...
NppStatus | nppsDivCRev_16u_I (Npp16u nValue, Npp16u *pSrcDst, int nLength)
NppStatus | nppsDivCRev_16u_Ctx (const Npp16u *pSrc, Npp16u nValue, Npp16u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short signal divided by constant, then clamp to saturated value. More...
NppStatus | nppsDivCRev_16u (const Npp16u *pSrc, Npp16u nValue, Npp16u *pDst, int nLength)
NppStatus | nppsDivCRev_32f_I_Ctx (Npp32f nValue, Npp32f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point in place constant divided by signal. More...
NppStatus | nppsDivCRev_32f_I (Npp32f nValue, Npp32f *pSrcDst, int nLength)
NppStatus | nppsDivCRev_32f_Ctx (const Npp32f *pSrc, Npp32f nValue, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point constant divided by signal. More...
NppStatus | nppsDivCRev_32f (const Npp32f *pSrc, Npp32f nValue, Npp32f *pDst, int nLength)

## Detailed Description

Divides a constant by each sample of a signal.

## Function Documentation

NppStatus nppsDivCRev_16u | ( | const Npp16u * | pSrc,
|  | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivCRev_16u_Ctx | ( | const Npp16u * | pSrc,
|  | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short signal divided by constant, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided by each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivCRev_16u_I | ( | Npp16u | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivCRev_16u_I_Ctx | ( | Npp16u | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short in place constant divided by signal, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided by each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivCRev_32f | ( | const Npp32f * | pSrc,
|  | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivCRev_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point constant divided by signal.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided by each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivCRev_32f_I | ( | Npp32f | nValue,
|  | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivCRev_32f_I_Ctx | ( | Npp32f | nValue,
|  | Npp32f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point in place constant divided by signal.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided by each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2018 NVIDIA Corporation